%define version 0.7
%define release 2mhash
%define name aide
%define prefix /usr/local

Summary: Advanced Intrusion Detection Environment
Name: %{name}
Version: %{version}
Release: %{release}
Group: Security
Url: http://www.cs.tut.fi/~rammer/aide.html
Source: http://www.cs.tut.fi/~rammer/%{name}-%{version}.tar.gz
Source1: aide.conf.tar.gz
Copyright: GPL
Packager: Joerg Dorchain <joerg@dorchain.net>
Buildroot: /var/tmp/%{name}-%{version}
Requires: mhash zlib
PreReq: mhash-devel zlib-devel

%description
aide is an intrusion detection system for checking the integrity of files.
The idea is that for an intruder to get in, certain files on the system must
change - configuration files, for example. And once an intruder is in, in
order to do much useful, the intruder must gain root access - something else
that requires changing files. aide ensures that you (root) can be notified of
ANY changes to a configurable list of properties (modification date, size,
various hash-values) of a configurable list files.

A sample configuration file is included (provided by Kyle Wheeler) for being
very paranoid about a standard LinuxPPC 2000 or RedHat 6.x installation.

This creates a database of information about your system (the hashes,
creation dates, etc - as defined in the config file), which should then be
stored along with a copy of the application and config file someplace secure
(read-only media).

%prep
%setup -T -b 0
%setup -T -D -a 1
./configure --prefix=%{prefix} --with-mhash --with-zlib --enable-mhash \
--with-config_file=/etc/aide.conf

grep -v "#define DEFAULT_DB" config.h                      > config.h.tmp
echo '#define DEFAULT_DB "/var/lib/aide/aide.db"'         >> config.h.tmp
echo '#define DEFAULT_DB_OUT "/var/lib/aide/aide.db.new"' >> config.h.tmp
mv -f config.h.tmp config.h

%build
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip
mkdir -p -m700 $RPM_BUILD_ROOT/var/lib/aide

mkdir -p -m700 $RPM_BUILD_ROOT/etc
cp aide.conf $RPM_BUILD_ROOT/etc/aide.conf

%post
echo "***************************************************"
echo "* You should now customize /etc/aide.conf to your *"
echo "* system and run '%{prefix}/bin/aide --init'     *"
echo "* The provided /etc/aide.conf takes a while to    *"
echo "* create the database, but is very secure - you   *"
echo	"* can use it without modification.                *"
echo "*                                                 *"
echo "* Then copy /etc/aide.conf, %{prefix}/bin/aide,  *"
echo	"* and aide.db.new to a secure location            *"
echo "* (preferably read-only media)                    *"
echo "***************************************************"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/bin/aide
%doc %{prefix}/man/man1/aide.1
%doc %{prefix}/man/man5/aide.conf.5
/var/lib/aide

%config %attr(600, root, root) /etc/aide.conf

%doc AUTHORS COPYING ChangeLog NEWS README doc/aide.conf doc/aide.db
%doc doc/manual.html

%changelog
* Sun Jun 11 2000 Kyle Wheeler <memoryhole@penguinpowered.com>
 - Created the spec file

